MagickCore: resize.c File Reference

# resize.c File Reference

`#include "magick/studio.h"`
`#include "magick/artifact.h"`
`#include "magick/blob.h"`
`#include "magick/cache-view.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/draw.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/image.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/memory_.h"`
`#include "magick/pixel-private.h"`
`#include "magick/property.h"`
`#include "magick/monitor.h"`
`#include "magick/pixel.h"`
`#include "magick/option.h"`
`#include "magick/resample.h"`
`#include "magick/resize.h"`
`#include "magick/resize-private.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`

## Data Structures
struct | _ResizeFilter
struct | _ContributionInfo
## Defines
#define | Alpha 6.5
#define | I0A (1.0/I0(Alpha))
#define | AdaptiveResizeImageTag "Resize/Image"
#define | ResampleImageTag "Resample/Image"
#define | ResizeImageTag "Resize/Image"
#define | SampleImageTag "Sample/Image"
#define | ScaleImageTag "Scale/Image"
## Typedefs
typedef struct _ContributionInfo | ContributionInfo
## Functions
static MagickRealType | I0 (MagickRealType x)
static MagickRealType | BesselOrderOne (MagickRealType)
static MagickRealType | Bessel (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Blackman (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Bohman (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Box (const MagickRealType magick_unused(x), const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | CubicBC (const MagickRealType x, const ResizeFilter *resize_filter)
static MagickRealType | Gaussian (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Hanning (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Hamming (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Kaiser (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Lagrange (const MagickRealType x, const ResizeFilter *resize_filter)
static MagickRealType | Quadratic (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Sinc (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Triangle (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
static MagickRealType | Welsh (const MagickRealType x, const ResizeFilter *magick_unused(resize_filter))
MagickExport ResizeFilter * | AcquireResizeFilter (const Image *image, const FilterTypes filter, const MagickRealType blur, const MagickBooleanType cylindrical, ExceptionInfo *exception)
MagickExport Image * | AdaptiveResizeImage (const Image *image, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
static MagickRealType | J1 (MagickRealType x)
static MagickRealType | P1 (MagickRealType x)
static MagickRealType | Q1 (MagickRealType x)
MagickExport ResizeFilter * | DestroyResizeFilter (ResizeFilter *resize_filter)
MagickExport MagickRealType | GetResizeFilterSupport (const ResizeFilter *resize_filter)
MagickExport MagickRealType | GetResizeFilterWeight (const ResizeFilter *resize_filter, const MagickRealType x)
MagickExport Image * | MagnifyImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | MinifyImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | ResampleImage (const Image *image, const double x_resolution, const double y_resolution, const FilterTypes filter, const double blur, ExceptionInfo *exception)
MagickExport Image * | LiquidRescaleImage (const Image *image, const unsigned long magick_unused(columns), const unsigned long magick_unused(rows), const double magick_unused(delta_x), const double magick_unused(rigidity), ExceptionInfo *exception)
static double | MagickMax (const double x, const double y)
static double | MagickMin (const double x, const double y)
static MagickBooleanType | HorizontalFilter (const ResizeFilter *resize_filter, const Image *image, Image *resize_image, const MagickRealType x_factor, const MagickSizeType span, MagickOffsetType *quantum, ExceptionInfo *exception)
static MagickBooleanType | VerticalFilter (const ResizeFilter *resize_filter, const Image *image, Image *resize_image, const MagickRealType y_factor, const MagickSizeType span, MagickOffsetType *quantum, ExceptionInfo *exception)
MagickExport Image * | ResizeImage (const Image *image, const unsigned long columns, const unsigned long rows, const FilterTypes filter, const double blur, ExceptionInfo *exception)
MagickExport Image * | SampleImage (const Image *image, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport Image * | ScaleImage (const Image *image, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport void | SetResizeFilterSupport (ResizeFilter *resize_filter, const MagickRealType support)
MagickExport Image * | ThumbnailImage (const Image *image, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport Image * | ZoomImage (const Image *image, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)

## Define Documentation

#define AdaptiveResizeImageTag "Resize/Image"

#define Alpha 6.5

#define I0A (1.0/I0(Alpha))

#define ResampleImageTag "Resample/Image"

#define ResizeImageTag "Resize/Image"

#define SampleImageTag "Sample/Image"

#define ScaleImageTag "Scale/Image"

## Typedef Documentation

typedef struct _ContributionInfo ContributionInfo

## Function Documentation

MagickExport ResizeFilter* AcquireResizeFilter | ( | const Image * | image,
|  | const FilterTypes | filter,
|  | const MagickRealType | blur,
|  | const MagickBooleanType | cylindrical,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* AdaptiveResizeImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType Bessel | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType BesselOrderOne | ( | MagickRealType | x | ) |

static MagickRealType Blackman | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType Bohman | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType Box | ( | const MagickRealType | magick_unused(x),
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType CubicBC | ( | const MagickRealType | x,
|  | const ResizeFilter * | resize_filter |
| ) |  |  | `[static]`

MagickExport ResizeFilter* DestroyResizeFilter | ( | ResizeFilter * | resize_filter | ) |

static MagickRealType Gaussian | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

MagickExport MagickRealType GetResizeFilterSupport | ( | const ResizeFilter * | resize_filter | ) |

MagickExport MagickRealType GetResizeFilterWeight | ( | const ResizeFilter * | resize_filter,
|  | const MagickRealType | x |
| ) |  |  |

static MagickRealType Hamming | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType Hanning | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickBooleanType HorizontalFilter | ( | const ResizeFilter * | resize_filter,
|  | const Image * | image,
|  | Image * | resize_image,
|  | const MagickRealType | x_factor,
|  | const MagickSizeType | span,
|  | MagickOffsetType * | quantum,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType I0 | ( | MagickRealType | x | ) | `[static]`

static MagickRealType J1 | ( | MagickRealType | x | ) | `[static]`

static MagickRealType Kaiser | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickRealType Lagrange | ( | const MagickRealType | x,
|  | const ResizeFilter * | resize_filter |
| ) |  |  | `[static]`

MagickExport Image* LiquidRescaleImage | ( | const Image * | image,
|  | const unsigned long | magick_unused(columns),
|  | const unsigned long | magick_unused(rows),
|  | const double | magick_unused(delta_x),
|  | const double | magick_unused(rigidity),
|  | ExceptionInfo * | exception |
| ) |  |  |

static double MagickMax | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

static double MagickMin | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

MagickExport Image* MagnifyImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* MinifyImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType P1 | ( | MagickRealType | x | ) | `[static]`

static MagickRealType Q1 | ( | MagickRealType | x | ) | `[static]`

static MagickRealType Quadratic | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

MagickExport Image* ResampleImage | ( | const Image * | image,
|  | const double | x_resolution,
|  | const double | y_resolution,
|  | const FilterTypes | filter,
|  | const double | blur,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ResizeImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const FilterTypes | filter,
|  | const double | blur,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* SampleImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ScaleImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void SetResizeFilterSupport | ( | ResizeFilter * | resize_filter,
|  | const MagickRealType | support |
| ) |  |  |

static MagickRealType Sinc | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

MagickExport Image* ThumbnailImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType Triangle | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

static MagickBooleanType VerticalFilter | ( | const ResizeFilter * | resize_filter,
|  | const Image * | image,
|  | Image * | resize_image,
|  | const MagickRealType | y_factor,
|  | const MagickSizeType | span,
|  | MagickOffsetType * | quantum,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType Welsh | ( | const MagickRealType | x,
|  | const ResizeFilter * | magick_unused(resize_filter) |
| ) |  |  | `[static]`

MagickExport Image* ZoomImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |